# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/)
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [v1.1.2](https://github.com/es-shims/Array.prototype.toReversed/compare/v1.1.1...v1.1.2) - 2023-09-07

### Commits

- [Deps] update `define-properties`, `es-abstract` [`93c863a`](https://github.com/es-shims/Array.prototype.toReversed/commit/93c863a01dc714e4f975eca9955182536b71c3fe)
- [Dev Deps] update `@es-shims/api`, `@ljharb/eslint-config`, `aud`, `tape` [`c551e3f`](https://github.com/es-shims/Array.prototype.toReversed/commit/c551e3f777df135fa2975a9eb83412065f0f9ff8)

## [v1.1.1](https://github.com/es-shims/Array.prototype.toReversed/compare/v1.1.0...v1.1.1) - 2022-11-03

### Commits

- [Deps] update `es-abstract` [`6bf5a4f`](https://github.com/es-shims/Array.prototype.toReversed/commit/6bf5a4f8f1cacf076c48fd8724dc7d12948c285a)
- [actions] update rebase action to use reusable workflow [`d4956c3`](https://github.com/es-shims/Array.prototype.toReversed/commit/d4956c31e9e7f0bf1320ad01cc130a6808aa448f)
- [Dev Deps] update `aud`, `tape` [`e3a33ff`](https://github.com/es-shims/Array.prototype.toReversed/commit/e3a33ff068441f11e7221139ed0c1a5c8ce54892)

## [v1.1.0](https://github.com/es-shims/Array.prototype.toReversed/compare/v1.0.1...v1.1.0) - 2022-08-14

### Commits

- [Tests] add more test coverage from https://github.com/tc39/test262/pull/3464 [`8c48c25`](https://github.com/es-shims/Array.prototype.toReversed/commit/8c48c25e6c9a20a727877e9da3479d0dd3b802fa)
- [New] `shim`/`auto`: add `toReversed` to `Symbol.unscopables` [`25cce92`](https://github.com/es-shims/Array.prototype.toReversed/commit/25cce92c6c3106b0e55d5c90dde6db5aa548a6c9)
- [Dev Deps] update `@ljharb/eslint-config`, `functions-have-names`, `tape` [`62b8bb1`](https://github.com/es-shims/Array.prototype.toReversed/commit/62b8bb149a9e343257a08d6944aba8c5772acc06)
- [Deps] update `define-properties` [`35a88cb`](https://github.com/es-shims/Array.prototype.toReversed/commit/35a88cbde49fef9307b978de9be1ebe1cd37b889)

## [v1.0.1](https://github.com/es-shims/Array.prototype.toReversed/compare/v1.0.0...v1.0.1) - 2022-04-02

### Commits

- [Fix] use a full matching implementation [`134ead0`](https://github.com/es-shims/Array.prototype.toReversed/commit/134ead0e18dab12600c61be20cd8010e9dd06ddd)
- [readme] fix spec link [`325d830`](https://github.com/es-shims/Array.prototype.toReversed/commit/325d830b46472308a1f4cfee4721fcecff50760d)

## v1.0.0 - 2022-03-31

### Commits

- initial implementation, tests, readme [`cb3dd89`](https://github.com/es-shims/Array.prototype.toReversed/commit/cb3dd89cdb1f3505e2173146ba3edd3edb30b279)
- Initial commit [`b6b34b1`](https://github.com/es-shims/Array.prototype.toReversed/commit/b6b34b14c3b62a0908567e4baa6cb6e7d69b58ea)
- [meta] do not publish workflow files [`dc40bf6`](https://github.com/es-shims/Array.prototype.toReversed/commit/dc40bf6029c4a2552c717028b2a9356046b355bd)
- [Tests] temporarily use actions instead of composable workflows [`b0bb153`](https://github.com/es-shims/Array.prototype.toReversed/commit/b0bb1530e3cb3e211d3d4edc431f09be738a3378)
- npm init [`5326445`](https://github.com/es-shims/Array.prototype.toReversed/commit/53264452365984f568a36233ce0b3f0beca9733f)
- [Refactor] use slice/reverse instead of explicit spec steps [`acfe9a8`](https://github.com/es-shims/Array.prototype.toReversed/commit/acfe9a887ec8264aa831e1c7dbdc6e8bbb99cc35)
- [Dev Deps] update `eslint`, `@ljharb/eslint-config`, `aud`, `auto-changelog`, `tape` [`7925aa5`](https://github.com/es-shims/Array.prototype.toReversed/commit/7925aa573573a5695252564c5c7c534ebaf4f3dc)
- [meta] add version script [`7fc3e55`](https://github.com/es-shims/Array.prototype.toReversed/commit/7fc3e55be909f2f253592d9a6da04f9a34af6c74)
- Only apps should have lockfiles [`b646ff8`](https://github.com/es-shims/Array.prototype.toReversed/commit/b646ff8c6e04cf5533a61a7d7001feeb7266a799)
- [Deps] remove unused dep [`0d907c2`](https://github.com/es-shims/Array.prototype.toReversed/commit/0d907c25845dadabe97cd3df5aefd99e3d65c351)
